package cn.base.conf;

public class Es extends NodeHome {
	private String isUseEs;
	private String isUseDb;
	private String esName;
	private String esIp;
	private int esPort;
	
	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("isUseEs")==true)this.isUseEs = value;
			if(name.equalsIgnoreCase("isUseDb")==true)this.isUseDb = value;
			if(name.equalsIgnoreCase("esName")==true)this.esName = value;
			if(name.equalsIgnoreCase("esIp")==true)this.esIp = value;
			if(name.equalsIgnoreCase("esPort")==true)this.esPort = Integer.parseInt(value);
		}
	}
	
	public String getIsUseDb() {
		return isUseDb;
	}

	public void setIsUseDb(String isUseDb) {
		this.isUseDb = isUseDb;
	}
	
	public String getIsUseEs() {
		return isUseEs;
	}
	public void setIsUseEs(String isUseEs) {
		this.isUseEs = isUseEs;
	}

	public String getEsName() {
		return esName;
	}

	public void setEsName(String esName) {
		this.esName = esName;
	}

	public String getEsIp() {
		return esIp;
	}

	public void setEsIp(String esIp) {
		this.esIp = esIp;
	}

	public int getEsPort() {
		return esPort;
	}

	public void setEsPort(int esPort) {
		this.esPort = esPort;
	}
}
